#1
  1. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jan 2005
    Posts
    1
    Rep Power
    0

    help me to install OpenLDAP-2.2.20 Red Hat Linux 9.0


    I have a problem with OpenLDAP-2.2.20; BerkeleyDB-4.3.27, Cyrus-SASL-2.1.20 already yet installed...

    [root@localhost openldap-2.2.20]# CPPFLAGS="-I/usr/local/BerkeleyDB-4.3.27/include -I/usr/local/Cyrus-SASL-2.1.20/include/sasl/" LDFLAGS="-L/usr/local/BerkeleyDB-4.3.27/lib -L/usr/local/Cyrus-SASL-2.1.20/lib/sasl2 -L/usr/local/Cyrus-SASL-2.1.20/lib" ./configure --enable-threads --enable-tls --prefix=/usr/local/openldap-2.2.20 --enable-ldbm --enable-bdb --enable-monitor --enable-crypt

    Copyright 1998-2004 The OpenLDAP Foundation. All rights reserved.
    Restrictions apply, see COPYRIGHT and LICENSE files.
    Configuring OpenLDAP 2.2.20-Release ...
    checking host system type... i686-pc-linux-gnu
    checking target system type... i686-pc-linux-gnu
    checking build system type... i686-pc-linux-gnu
    .
    .
    .
    checking for openlog... yes
    checking for sasl/sasl.h... yes
    checking for sasl.h... yes
    checking for sasl_client_init in -lsasl2... yes
    checking Cyrus SASL library version... no
    configure: error: Cyrus SASL library located but is incompatible
    [root@localhost openldap-2.2.20]#

    what Cyrus-SASL software is compatible with OpenLDAP-2.2.20, i have Cyrus-SASL-2.1.20, the ultimate version...
  2. #2
  3. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jan 2005
    Posts
    2
    Rep Power
    0
    I had exactly the same problem.

    Download the latest SASL Libraries from : http://asg.web.cmu.edu/sasl/sasl-library.html and click on the link for ftp download.

    Look down the page for cyrus-sasl-2.1.20.tar.gz

    - Copy the file into your src directory
    - gzip -d cyrus-sasl-2.1.20.tar.gz
    - tar xvf cyrus-sasl-2.1.20.tar
    - cd cyrus-sasl-2.1.20
    - ./configure
    - make
    - make install

    So long as the sasl libs are in the default directory you don't need to specify them in the configure when installing openldap.

    Hope this helps you

    Jonnie

IMN logo majestic logo threadwatch logo seochat tools logo